pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Pango.Attribute An attribute that imposes a shape restriction.
- Constructor
  2.12.0.0
  a
  a
  Creates a new shape attribute
  A shape is used to impose a particular ink and logical rectangle on the result of shaping a particular glyph. This might be used, for instance, for embedding a picture or a widget inside a .
- Property
  2.12.0.0
  Pango.Rectangle The ink rectangle to restrict to a
- Property
  2.12.0.0
  Pango.Rectangle The logical rectangle to restrict to a